Bug 821466 - Files and assets serving intermittantly
Files and assets serving intermittantly
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity high
: ---
: 2.0.0.ER6
Assigned To: Bob McWhirter
Oliver Kišš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 11:18 EDT by Bob McWhirter
Modified: 2015-08-02 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TORQUE-810 None Closed Files & Assets in Rails /public folder are only served successfully 50% of the time and are sometimes incorrectly passed... 2012-06-05 11:21:25 EDT

  None (edit)
Description Bob McWhirter 2012-05-14 11:18:46 EDT
Description of problem:

Any file or asset in the public folder in a rails app is sometimes incorrectly passed to Rails rather than being handled by the web server resulting in a HTTP 404 and a "ActionController::RoutingError (No route matches [GET] "/assets/planner-d21570b2b5627da0866a521833ce84ab.css")" error in the appropriate rails log.

Requests for files in the public directory follow a repeatable pattern: 200 - 404 - 200 - 404 ... (every other request fails by being passed to rails resulting in a 404)
Comment 1 Bob McWhirter 2012-05-14 11:19:18 EDT
Fixed in upstream.

Note You need to log in before you can comment on or make changes to this bug.